Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
minhduc9987

[Yêu cầu] Lisp vẽ đường cong qua các tọa độ cho trước trong cad3d

Các bài được khuyến nghị

minhduc9987    0

Mình đang cần vẽ đường cong qua các tọa độ cho trước trong cad3D . Các tọa độ được nhập từ file excel or txt, kêt quả hiện ra là đường cong cần vẽ .

File số liệu : excel hay txt

adr82OTk.jpg

 

Trước khi dùng Lisp

 

adfQaWfc.jpg

 

Sau khi dùng Lisp hiện ra đường cong màu đỏ

 

adisPcHQ.jpg

 

Thanks a e, nhờ a e giúp đỡ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

A! Anh này làm bên ngành điện, chắc thuộc 1 cty tư vấn, đang thiết kế đường dây 110/220/500kV?

Lisp vẽ cái này thì dễ. Bạn hãy up file txt lên, chứ nhìn hình thì thấy sao lắm tọa độ thế? Đã có X,Y,Z rồi lại thêm tọa độ thì lấy cái nào? Và up file cad nữa để test.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
minhduc9987    0

Mình up file lên đây

Mình đã tính trong file excel rồi, giờ cần vẽ trên cad để minh họa :D

 

 

 

 

Nhờ a e giúp đỡ tiện thể mình học tập luôn :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Lisp vẽ Spline 3D đi qua các điểm được ghi trong file txt.

;Doan Van Ha - CADViet.com - Ngay 29/8/2012
;Muc dich: Ve Spline qua cac diem duoc ghi trong file txt.
(defun C:HA( / fn pr rl lst)
(command "ucs" "w")
(setq fn (getfiled "Chon file de lay so lieu" "" "txt" 8))
(setq pr (open fn "r"))
(while (setq rl (read-line pr))
 (setq lst (cons (HA:str->lst rl ",") lst)))
(close pr)
(Spline (reverse lst))
(princ))
;----- String to List, EX: (HA:str->lst "1,2,3,4,5" ",") => (1 2 3 4 5)
(defun HA:str->lst ( str del / pos )
(if (setq pos (vl-string-search del str))
 (cons (atof (substr str 1 pos)) (HA:str->lst (substr str (+ pos 1 (strlen del))) del))
 (list (atof str))))
;----- Ve Spline
(defun Spline (lst)
(entmake (append (list '(0 . "SPLINE") '(100 . "AcDbEntity") '(100 . "AcDbSpline") (cons 71 3) (cons 74 (length lst))) (mapcar (function (lambda (p) (cons 11 p))) lst))))

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
minhduc9987    0

Thanks u rất nhiều.

 

Tiện đây có thể cho mình đường dẫn tới link thống kê các hàm sử dụng trong autolisp, kèm theo công dụng và cú pháp của hàm để mình có thể tự lập file autolisp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Vào Help của Cad có hết bạn à (trừ mấy hàm acet-... thôi).

Nói thêm: để vẽ đường độ võng 3D giữa 2 đỉnh cột người ta chỉ cần dựa vào tỉ tải và ứng suất là vẽ được, chứ không ai lại đi tính toán từng điểm bên excel rồi đem qua cad vẽ cả.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.649

Bác Hạ có thể thay tên lệnh gợi nhớ mỗi lần giải quyết k ^^ ? Vì hình như aHoanh đang sử dụng chế độ lọc lisp thông qua tên :( Hơn nữa, lại hình như diễn đàn vẫn lỗi nếu trong 1 bài có nhiều tên lisp giống nhau thì luôn down bài cuối

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Vào Help của Cad có hết bạn à (trừ mấy hàm acet-... thôi).

Nói thêm: để vẽ đường độ võng 3D giữa 2 đỉnh cột người ta chỉ cần dựa vào tỉ tải và ứng suất là vẽ được, chứ không ai lại đi tính toán từng điểm bên excel rồi đem qua cad vẽ cả.

Anh Ha giúp em Lipst vẽ đường độ võng 3D theo tỷ tải và ứng suất. Địa chỉ mail e là : ghitatazui@gmail.com.

 

Cám ơn anh Ha đã đọc thư.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×